### Method

# GtkSource SearchSettings get_search_text

#### Declaration [src]

    const gchar*
    gtk_source_search_settings_get_search_text (
      GtkSourceSearchSettings* settings
    )

#### Description [src]

Gets the text to search.

The return value must not be freed.

You may be interested to call `gtk_source_utils_escape_search_text()` after this function.

Gets property | `GtkSource.SearchSettings:search-text`

#### Return value

Type: `const gchar*`

The text to search, or `NULL` if the search is disabled.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.